/*!
 * Author: linhlvtn code design
 * Email: linhlvtn@gmail.com
 */

@import "typography";
@import "layouts";
@import "global";

:root {
    --color-primary: #000;
    --color-secondary: #282828;
    --color-gray-5: #f4f4f4;
    --color-gray-6: #E5E5E5;
    --color-info: #0371D7;
    --color-success: #009220;
    --color-warning: #D89D08;
    --color-danger: #EA132C;
}

.color-warning {
    color: var(--color-warning) !important;
}

.color-success {
    color: var(--color-success) !important;
}

.color-info {
    color: var(--color-info) !important;
}

.color-danger {
    color: var(--color-danger) !important;
}
.header {
    position: relative;

    &_top {
        height: 40px;
        background: var(--color-primary);
        color: #fff;
        padding: 10px 0;
        font-weight: normal;
        font-size: 16px;
        position: relative;

        &__slogan {
            text-align: center;
            position: absolute;
            left: 0;
            right: 0;
            margin: auto;
            font-family: "svgGilroy";
        }

        &__right {
            position: relative;

            ul {
                display: flex;
                align-items: center;

                li {
                    font-size: 16px;
                    line-height: 1;

                    &>a {
                        color: #fff;
                        display: inline-flex;
                        align-items: center;

                        span {
                            margin: 0 3px;
                        }

                        &.item_account{
                            position: relative;

                            // &:hover{
                            //     &+.subAccount{
                            //         display: block;
                            //     }
                            // }
                        }
                    }
                    .subAccount{
                        position: absolute;
                        padding: 15px 0;
                        margin: 0;
                        list-style: none;
                        width: 162px;
                        min-height: 146px;
                        background: #FFFFFF;
                        box-shadow: 0px 10px 20px rgba(0, 0, 0, 0.15);
                        z-index: 11;
                        right: 0;
                        top: 125%;
                        align-items: flex-start;
                        flex-direction: column;
                        justify-content: flex-start;
                        text-align: left;
                        display: none;

                        &.hover{
                            display: block;
                        }

                        &>li{
                            display: block;

                            a{
                                display: block;
                                padding: 10px 30px;
                                color: #000;
                                font-size: 15px;
                                font-weight: 500;

                                &:hover{
                                    color: #6D6E6E;
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    &_main {
        height: 71px;
        // padding: 10px 0;
        background: #fff;
        position: relative;
        border-bottom: 1px solid #ddd;
        // filter: drop-shadow(0px 1px 1px rgba(0, 0, 0, 0.25));

        &.sticky {
            position: fixed;
            top: 0;
            width: 100%;
            z-index: 10;
            // box-shadow: 0px 5px 15px -5px #ddd;
        }

        &__menu {
            height: 100%;
        }

        &__myCart {
            display: flex;
            align-items: center;
            justify-content: flex-end;

            ul {
                display: flex;
                align-items: center;

                li {
                    padding: 0 10px;

                    img {
                        width: 27px;
                    }
                }
            }

            .myCart {
                position: relative;
                margin-right: 5px;
                width: 24px;
                height: 24px;

                .numberCart {
                    position: absolute;
                    width: 20px;
                    height: 20px;
                    border-radius: 100%;
                    color: #fff;
                    background: var(--color-danger);
                    font-size: 11px;
                    text-align: center;
                    line-height: 20px;
                    top: -10px;
                    left: 15px;
                }
            }

            .myFavorite {
                position: relative;
                width: 24px;
                height: 24px;

                .numberFavorite {
                    position: absolute;
                    left: 0;
                    right: 0;
                    text-align: center;
                    font-size: 11px;
                    color: #000;
                    top: 7px;
                    bottom: 0;
                }
            }

            .searchTop {
                position: relative;

                input.form-control {
                    border-radius: 40px;
                    font-size: 14px;
                    width: 180px;
                    height: 32px;
                    min-height: unset;
                }

                button {
                    position: absolute;
                    width: 15px;
                    right: 15px;
                    height: 100%;
                    top: 0;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                }
            }
        }

        &__search{
            position: absolute;
            top: 0;
            left: 0;
            right: 0;
            background: #fff;
            width: 100%;
            height: 100%;
            display: flex;
            align-items: center;
            justify-content: center;
            // opacity: 0;
            // transform: translateY(100px);
            // transition: all .5s;
            display: none;

            &.open{
                // opacity: 1;
                // transform: translateY(0);
                // transition: all .5s;
                display: block;
            }

            .container_search{
                width: 853px;
                height: 100%;
                margin: auto;
                position: relative;
                display: flex;
                align-items: center;

                .btn_close_searchbox{
                    margin-left: 10px;
                }

                .input-width-button{
                    width: 100%;
                    display: flex;
                    position: relative;

                    input{
                        background: #F4F4F4;
                        border-radius: 23px;
                        padding-right: 50px;
                    }

                    .button_submit{
                        position: absolute;
                        right: 0;
                        height: 100%;
                        width: 50px;
                    }
                }

                .suggestion_box{
                    position: absolute;
                    width: 100%;
                    top: 100%;
                    background: #fff;
                    z-index: 10;
                    min-height: 300px;
                    border-radius: 0px 0px 8px 8px;
                    padding: 10px 45px 45px;
                    margin-top: 0;
                    // display: none;
                    
                    // &.show{
                    //     display: block;
                    // }

                    p{
                        display: flex;
                        align-items: center;
                        cursor: pointer;

                        span{
                            margin-right: 10px;
                            width: 30px;
                            text-align: center;
                        }
                    }

                    .list_product_search{
                        display: flex;
                        flex-wrap: wrap;
                        width: 100%;

                        &.col-1{
                            .item{
                                width: 100%;
                            }
                        }
                        &.col-2{
                            .item{
                                width: 50%;
                            }
                        }

                        .item{
                            display: flex;
                            margin-bottom: 15px;
                            cursor: pointer;

                            .thumb_product{
                                max-width: 80px;
                                margin-right: 15px;
                            }
                            .info_right{
                                p{
                                    margin-bottom: 5px;
                                }
                            }
                        }
                    }

                    .list_news_search{
                        .ctgNews{
                            font-size: 14px;
                            color: #595A5A;
                        }
                    }

                    .viewmore {
                        display: inline-flex;
                        align-items: center;
                        min-width: 160px;

                        svg{
                            width: 15px;
                            margin-left: 5px;
                        }
                    }
                }
            }
        }

        &__process{
            width: 100%;
            display: flex;
            align-items: center;
            justify-content: center;
            
            #msform {
                width: 575px;
                margin: 0;
            }
            #msform fieldset {
                background: white;
                border: 0 none;
                border-radius: 3px;
                box-shadow: 0 0 15px 1px rgba(0, 0, 0, 0.4);
                padding: 20px 30px;
                box-sizing: border-box;
                width: 80%;
                margin: 0 10%;
                
                /*stacking fieldsets above each other*/
                position: relative;
            }
            /*Hide all except first fieldset*/
            #msform fieldset:not(:first-of-type) {
                display: none;
            }
            /*inputs*/
            #msform input, #msform textarea {
                padding: 15px;
                border: 1px solid #ccc;
                border-radius: 3px;
                margin-bottom: 10px;
                width: 100%;
                box-sizing: border-box;
                font-family: montserrat;
                color: #2C3E50;
                font-size: 13px;
            }
            /*buttons*/
            #msform .action-button {
                width: 100px;
                background: #27AE60;
                font-weight: bold;
                color: white;
                border: 0 none;
                border-radius: 1px;
                cursor: pointer;
                padding: 10px 5px;
                margin: 10px 5px;
            }
            #msform .action-button:hover, #msform .action-button:focus {
                box-shadow: 0 0 0 2px white, 0 0 0 3px #27AE60;
            }
            /*headings*/
            .fs-title {
                font-size: 15px;
                text-transform: uppercase;
                color: #2C3E50;
                margin-bottom: 10px;
            }
            .fs-subtitle {
                font-weight: normal;
                font-size: 13px;
                color: #666;
                margin-bottom: 20px;
            }
            /*progressbar*/
            #progressbar {
                margin-bottom: 0;
                overflow: hidden;
                /*CSS counters to number the steps*/
                counter-reset: step;
            }
            #progressbar li {
                list-style-type: none;
                color: black;
                text-transform: none;
                font-size: 16px;
                font-weight: 500;
                width: 33.33%;
                float: left;
                text-align: center;
                position: relative;
            }
            #progressbar li:before {
                content: counter(step);
                counter-increment: step;
                width: 32px;
                height: 32px;
                line-height: 20px;
                display: flex;
                align-items: center;
                font-size: 16px;
                justify-content: center;
                color: #fff;
                background: black;
                border-radius: 40px;
                margin: 0 auto 5px auto;
                z-index: 2;
                position: relative;
            }
            /*progressbar connectors*/
            #progressbar li:after {
                content: '';
                width: 100%;
                height: 2px;
                background: black;
                position: absolute;
                left: -50%;
                top: 15px;
                z-index: 1;
            }
           
            /*marking active/completed steps green*/
            /*The number of the step and the connector before it = green*/
            #progressbar li.active:before,  #progressbar li.active:after{
                background: #000;
                color: white;
                line-height: 10px;
                content: url('../icon/check_process.svg');
            }

            #progressbar li:first-child:after {
                /*connector not needed before the first step*/
                content: none; 
            }
        }
    }
}

.nav_menu {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;

    li {
        position: relative;
        display: inline-flex;
        align-items: center;
        height: 100%;

        &.has-full-menu {
            position: unset;
        }

        &>a {
            color: #000;
            font-size: 17px;
            font-weight: 900;
            text-transform: uppercase;
            padding: 15px;
            position: relative;
            display: inline-block;
            letter-spacing: 0.03em;

            @media (max-width: 1400px) {
                font-size: 16px;
                padding: 15px 10px;
            }

            @media (max-width: 1280px) {
                font-size: 13px;
                padding: 15px 10px;
            }

            &:hover {
                &::after {
                    content: "";
                    width: 80%;
                    height: 2px;
                    background: #000;
                    opacity: 0.2;
                    position: absolute;
                    left: 0;
                    right: 0;
                    margin: auto;
                    bottom: 5px;
                    animation: hoverMenu .5s;
                }
            }

            @keyframes hoverMenu {
                0% {
                    width: 0;
                }

                100% {
                    width: 80%;
                }
            }
        }

        &.active {
            a {
                &::after {
                    content: "";
                    width: 80%;
                    height: 2px;
                    background: #000;
                    position: absolute;
                    left: 0;
                    right: 0;
                    margin: auto;
                    bottom: 5px;
                }
            }
        }

        .submenu {
            position: absolute;
            min-width: 222px;
            min-height: 210px;
            box-shadow: 0px 10px 20px rgba(0, 0, 0, 0.15);
            top: 100%;
            opacity: 0;
            visibility: hidden;
            // transform: translateY(-100%);
            transition: all .5s;
            padding: 10px 0;
            z-index: 10;
            background: #fff;

            &>a {
                color: #000;
                padding: 0 20px;
                margin: 15px 0;
                font-size: 16px;
                transition: all .5s;
                display: block;

                &:hover {
                    font-weight: 600;
                }
            }

            &.submenu-full {
                width: 100%;
                position: absolute;
                left: 0;
                right: 0;
                margin: auto;
                z-index: 10;
                min-height: 300px;
                top: 100%;
                padding: 50px 78px 80px;
            }

            &__list {
                margin-bottom: 30px;

                .title {
                    font-size: 16px;
                    text-transform: uppercase;
                    margin-bottom: 21px;
                    font-weight: 600;
                }

                p {
                    margin-bottom: 10px;

                    a {
                        color: #000;
                        font-size: 16px;

                        &:hover {
                            color: #6D6E6E;
                        }
                    }
                }
            }
        }

        &:hover {
            .submenu {
                opacity: 1;
                visibility: visible;
                // transform: translateY(0);
                transition: all .5s;
            }
        }
    }
}

.productHot {
    padding: 4rem 0;

    &_list {
        .item {
            min-height: 250px;

            .name_product {
                font-size: 16px;
                margin: 20px 0;
                color: #000;
                font-weight: 500;
                text-transform: uppercase;
            }
        }
    }
}

.slideShow{
    .carousel-control-next, .carousel-control-prev{
        width: 40px;
        height: 40px;
        opacity: 1;
        padding: 8px;
        border-radius: 100%;
        background: rgba(0, 0, 0, 0.1);
        top: 50%;
        margin: 0 25px;            
    }

    .carousel-control-next:hover, .carousel-control-prev:hover{
        background: #fff !important;

        .carousel-control-next-icon, .carousel-control-prev-icon{
            filter: brightness(0.5) sepia(1) hue-rotate(205deg) saturate(5) !important;
        }
    }
}

.headingSection {
    font-size: 24px;
    font-weight: bold;
    margin: 0 0 30px;
    letter-spacing: 0.05em;
    text-transform: uppercase;
    position: relative;

    .flash_production {
        position: absolute;
        right: 0;
        top: 5px;
        font-size: 14px;
        font-weight: 400;
        margin: 0;
    }
}

.btn-view-production {
    color: #000;
    border-bottom: 2px solid #000;
    font-size: 16px;
    padding-bottom: 5px;
    transition: all 0.3s;
    padding: 5px 10px;

    &:hover {
        background: #000;
        color: #fff;
    }
}

.productHotSwiper{
    .swiper-wrapper{
        padding-bottom: 2rem;
    }
    .swiper-button-next, .swiper-button-prev{
        width: 40px;
        height: 40px;
        background: rgba(0, 0, 0, 0.1);
        color: #fff !important;
        border-radius: 40px;
        opacity: 1;
        top: 42%;

        &:hover{
            background: #fff;
            color: #000 !important;
        }
    }
    .swiper-button-next:after, .swiper-button-prev:after{
        font-size: 16px;
    }
}

.productMain {
    padding: 4rem 0;

    .productNewSwiper{
        padding-bottom: 30px;
    }

    &_list {
        &__item {
            margin-bottom: 30px;
            border-bottom: 2px solid transparent;
            transition: all .5s;
            // padding-bottom: 20px;

            &.hover-switch {
                user-select: none;

                .productMain_list__item___thumbnail>a {
                    // opacity: 1;
                    // transition: opacity 0.5s ease-in-out;
                    // -moz-transition: opacity 0.5s ease-in-out;
                    // -webkit-transition: opacity 0.5s ease-in-out;
    
                    // // &:last-of-type{
                    // //     opacity: 0;
                    // // }
                        position: relative;
    
                        &>img{
                            opacity: 1;
                            &+img{
                                position: absolute;
                                top: 0;
                                left: 0;
                                opacity: 0;
                            }
                        }
                  }

                  &:hover{
                    .productMain_list__item___thumbnail>a {
                        &>img{
                            opacity: 0;
                            transition: opacity 0.5s ease-in-out;
                            -moz-transition: opacity 0.5s ease-in-out;
                            -webkit-transition: opacity 0.5s ease-in-out;
                            &+img{
                                opacity: 1;
                                transition: opacity 0.5s ease-in-out;
                                -moz-transition: opacity 0.5s ease-in-out;
                                -webkit-transition: opacity 0.5s ease-in-out;
                            }
                        }
                    }
                  }
            }

            &:hover{
                .btn_favoriste{
                    opacity: 1 !important;
                    transition: opacity 0.5s ease-in-out;
                }
            }

            &___thumbnail {
                width: 100%;
                max-height: 575px;
                position: relative;
                overflow: hidden;

                .btn_favoriste{
                    width: 50px;
                    height: 50px;
                    background-image: url('/assets/icon/heart-item.svg');
                    display: inline-block;
                    background-repeat: no-repeat;
                    position: absolute;
                    z-index: 1;
                    right: 0;
                    top: 20px;
                    opacity: 0;
                    transition: opacity 0.5s ease-in-out;
                    cursor: pointer;
                }

                a {
                    display: block;
                    width: 100%;
                    height: 100%;
                }

                // .hover-switch > img {
                //     position: absolute;
                //     top: calc(50% - 100px);
                //     left: calc(50% - 100px);
                //   }
                  /* 
                   * Show the last image by default
                  */
                  
                  

                img {
                    display: block;
                    width: 100%;
                    height: 100%;
                    object-fit: cover;
                }

                .ribbon {
                    position: absolute;

                    &-new {
                        top: 10px;
                        left: 10px;
                    }

                    &-best {
                        top: 10px;
                        left: 10px;
                        background: #000;
                        color: #fff;
                        padding: 5px 10px;
                    }

                    &-sale {
                        color: #EA132C;
                        bottom: 10px;
                        right: 10px;
                        font-weight: 700;
                        background: #fff;
                        padding: 2px 8px;
                    }

                    &-close {
                        right: 10px;
                        top: 10px;
                    }
                }

            }

            .btn-viewnow {
                position: absolute;
                left: 0;
                bottom: 25px;
                right: 0;
                margin: auto;
                width: 125px;
                height: 40px;
                font-size: 14px;
                border: 1px solid #ebebeb;
                transform: translateY(100px);
                transition: all .5s;

                svg {
                    margin-right: 5px;
                }

                &:hover {
                    background: #000;
                    color: #fff;
                }
            }

            &:hover {
                .btn-viewnow {
                    transform: translateX(0);
                    transition: all .5s;
                }
            }

            &___name {
                font-size: 16px;
                font-weight: 500;
                margin: 20px 0 5px;

                a {
                    color: #000;
                }
            }

            &___price {
                font-size: 18px;
                font-weight: 600;

                &.has_light{
                    display: flex;
                    align-items: center;
                    justify-content: space-between;

                    .price_light{
                        font-weight: 400;
                        text-decoration: line-through;
                        color: #6D6E6E;
                    }
                }
            }

            &:hover {
                // border-bottom: 2px solid var(--color-primary);
                transition: all .5s;
            }
        }
    }
}

.collection {
    padding: 4rem 0;

    .collectonHomeSwiper{
        padding-bottom: 50px;
    }

    &_list {
        &__item {
            &___thumbnail {
                a {
                    display: block;
                    width: 100%;
                    height: 100%;
                }

                img {
                    display: block;
                    width: 100%;
                    height: 100%;
                    object-fit: cover;
                }
            }

            &___bottom {
                text-align: center;

                .name_collection {
                    font-size: 16px;
                    font-weight: 600;
                    margin: 20px 0;
                }

                .buttonViewNow {
                    color: #000;
                    border-bottom: 2px solid #000;
                    font-size: 16px;
                    padding-bottom: 5px;
                    transition: all .3s;
                    padding: 5px 10px;

                    &:hover {
                        background: #000;
                        color: #fff;
                        padding: 5px 10px;
                        transition: all .3s;
                    }
                }
            }
        }
    }
}

.footer {
    border-top: 3px solid #F3F3F3;

    &_main {
        padding: 2rem 0;

        .headingFooter {
            font-size: 16px;
            font-weight: 700;
            margin: 0 0 20px;
        }

        .nav_footer {
            p {
                margin: 0 0 10px;
                font-size: 14px;

                a {
                    color: #000;
                }
            }
        }

        .col-footer {
            margin-bottom: 20px;
        }

        .col-info-right {
            h4 {
                font-size: 16px;
                font-weight: 700;
                margin: 0 0 20px;
            }

            .form-control {
                border-color: #000;
            }

            input+button {
                background: #000;
                color: #fff;
            }
        }
    }

    &_bottom {

        border-top: 2px solid #F3F3F3;

        &__content {
            display: flex;
            align-items: center;
            justify-content: space-between;
        }
    }
}

.isocial-group {
    display: flex;
    align-items: center;

    li {
        margin-right: 20px;

        a {
            display: inline-block;
            color: #000;

            svg {
                width: 25px;
            }
        }
    }
}

.content_product {
    text-align: center;
    margin: 4rem 0 0;

    .heading-title {
        font-size: 20px;
        font-weight: bold;
        margin: 2rem 0 1rem;
    }

    p {
        width: 80%;
        margin: auto;
    }
}

.breadcrumb_block {
    // border-top: 1px solid #bdbdbd;
    padding-top: 10px;

    .breadcrumb-item.active {
        color: #000000;
    }

    .breadcrumb-item {
        a {
            color: #6D6E6E;
            font-size: 14px;
            font-weight: 500;
        }
    }
}

.heading-group {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 2rem;

    button {
        margin-left: 10px;
    }

    .headingSection {
        margin-bottom: 0;
    }
}

.btn-sort-list {
    &::after {
        display: none;
    }
}

.flash_production {
    display: flex;
    align-items: center;
    margin-top: 10px;

    .flash-clock {
        margin-left: 15px;
        color: var(--color-secondary);

        span {
            width: 28px;
            height: 28px;
            display: inline-flex;
            align-items: center;
            justify-content: center;
            color: #fff;
            background: var(--color-primary);
        }
    }
}

.info-production {
    .name_production {
        font-size: 20px;
        font-weight: 600;
        margin-bottom: 10px;
        line-height: 1.3;
        padding-right: 40px;
    }

    .btn_favoriste {
        width: 26px;
        height: 50px;
        background-image: url('/assets/icon/heart-item.svg');
        display: inline-block;
        background-repeat: no-repeat;
        position: absolute;
        right: 0;
    }

    .btn-favorite {
        position: absolute;
        right: 0;
        top: 0;
        color: #d5d5d5;

        &.active {
            color: #000;
        }

        svg {
            width: 20px;
        }
    }

    .price_production {
        display: flex;
        align-items: center;

        span {
            font-size: 20px;
            margin-right: 25px;
        }

        &-main {
            font-weight: 600;
        }

        &-light {
            color: #888888;
            text-decoration: line-through;
        }
    }

    .option_production {
        margin-top: 30px;

        p {
            a {
                color: #9f9f9f;
                font-size: 14px;

                &:hover {
                    color: #000;
                }
            }
        }

        &-style,
        &-size {
            ul {
                display: flex;
                align-items: center;
                flex-wrap: wrap;
                gap: 10px;      

                li {
                    text-align: center;
                    width: 40px;
                    border-bottom: 2px solid transparent;
                    cursor: pointer;

                    img {
                        object-fit: cover;
                        width: 100%;
                        height: 100%;
                    }

                    &:hover {
                        border-color: #000;
                    }

                    &.active {
                        border-bottom: 2px solid #000;
                    }
                }
            }
        }

        &-style{
            ul {
                li {
                    width: 50px;
                    height: 50px;
                }
            }
        }

        &-size {
            ul {
                li {
                    padding-bottom: 5px;
                }
            }
        }

        &-number {
            display: flex;
            align-items: center;

            .input-group {
                max-width: 150px;
                margin-left: 15px;
            }

            input {
                border-color: #6c757d;
                text-align: center;
            }

            button {
                color: #000;

                &:hover {
                    background: #000;
                    color: #fff;
                }
            }
        }
    }

    .button_controler {
        margin: 30px 0;

        .btn {
            display: flex;
            align-items: center;
            justify-content: center;
            font-size: 18px;
            height: 53px;
            width: 100%;
            transition: all .5s;

            img {
                margin-right: 5px;
            }

            &+.btn {
                margin-top: 15px;
            }
        }

        .btn-addCart {
            border: 1px solid #000;

            &:hover {
                background: #000;
                color: #fff;
                transition: all .5s;

                img {
                    filter: brightness(0) invert(1);
                }
            }
        }

        .btn-buyNow {
            background: #000;
            color: #fff;

            &:hover {
                background: var(--color-secondary);
            }
        }
    }

    .images_group {

        .swiper-button-next, .swiper-button-prev {
            width: 24px;
            height: 24px;
            background: transparent;
            color: #6D6E6E !important;
            border-radius: 40px;
            opacity: 1;
            top: 50%;
        }

        .swiper-button-next, .swiper-rtl .swiper-button-prev{
            right: 30px;
        }
        .swiper-button-prev, .swiper-rtl .swiper-button-next{
            left: 30px;
        }

        .swiper-button-next:after, .swiper-button-prev:after {
            font-size: 20px;
        }

        .SwiperImgProduct,
        .SwiperImgProduct_detail {
            width: 80px;
            margin: 0;
            margin-right: 20px;

            .swiper-slide {
                width: 100% !important;
                height: 100%!important;
                margin: 9px 0;
                border: 1px solid transparent;
            }

            .swiper-slide-thumb-active {
                border: 1px solid #000;
            }

            .swiper-slide img {
                display: block;
                width: 100%;
                height: 100%;
                object-fit: cover;
            }

            .swiper-slide {
                background-size: cover;
                background-position: center;
            }

            .mySwiper2 {
                height: 80%;
                width: 100%;
            }

            .mySwiper {
                height: 20%;
                box-sizing: border-box;
                padding: 10px 0;
            }

            //   .swiper-wrapper{
            //     transform: unset !important;
            //     flex-wrap: wrap;
            //   }
        }
    }

    .preview-shop {
        a {
            color: #000;
            text-decoration: underline;
        }
    }

    .process_product {
        #accordionProcessProduct {
            .accordion-item {
                border-top: none;
                border-left: none;
                border-top: none;
                border-right: none;
                padding: 0;

                &:focus-within {
                    border: none
                }
            }

            .accordion-button:not(.collapsed) {
                color: #000;
                background-color: #fff;
                box-shadow: unset;
            }

            .accordion-button {
                padding: 10px 0;
                font-size: 14px;
                display: flex;
                align-items: center;

                img {
                    width: 30px;
                    margin-right: 10px;
                }
            }
        }
    }
}

.modal-customer {
    .btn-close {
        position: absolute;
        right: -10px;
        top: -10px;
        background: #000;
        opacity: 1;
        color: #fff;
        border-radius: 3px;
        width: 20px;
        height: 20px;
        display: inline-flex;
        align-items: center;
        justify-content: center;
        cursor: pointer;
        z-index: 1;

        svg {
            color: #fff;
        }
    }

    .modal-footer {
        justify-content: center;

        a {
            color: #000;
        }
    }
}

.SibarNavBar {
    width: 400px;
    position: fixed;
    top: 0;
    background: #fff;
    height: 100vh;
    z-index: 10000;
    opacity: 0;
    visibility: hidden;
    transform: translateX(-100%);
    transition: all .5s;

    

    &.open {
        opacity: 1;
        visibility: visible;
        transform: translateX(0);
        transition: all .5s;
    }

    &_filter {
        position: relative;
        height: 100%;

        .btn-close{
            position: absolute;
            right: 20px;
            top: 20px;
        }

        .btn-close-no-head{
            position: absolute;
            right: 20px;
            top: 20px;
        }

        &__header {
            padding: 20px;
            position: relative;
            padding-right: 40px;
            font-weight: 600;
            border-bottom: 1px solid rgba(0, 0, 0, 0.2);

            .btn-close {
                position: absolute;
                right: 20px;
            }
        }

        &__body {
            padding: 20px;
            padding: 20px;
            max-height: calc(100% - 145px);
            overflow-y: auto;
            

            &.body-sibar-cart {
                max-height: calc(100% - 300px);
            }

            .filter_box {
                margin-bottom: 40px;

                .accordion-button {
                    border: none;
                    background: transparent;
                    color: #000;
                    box-shadow: unset;
                    padding: 0;
                    margin-bottom: 20px;
                    font-size: 14px;
                    text-transform: uppercase;
                    font-weight: 600;

                    &::after {
                        color: #000;

                    }
                }

                .accordion-item {
                    border: none;
                    padding: 0;
                }

                .accordion-body {
                    padding: 0;
                }

                .form-check {
                    margin-bottom: 5px;
                }

                .list-chosee {
                    padding: 0;
                    margin: 0;
                    display: flex;
                    align-items: center;
                    flex-wrap: wrap;
                    gap: 10px;

                    li {
                        display: inline-flex;
                        align-items: center;
                        justify-content: center;
                        width: 35px;
                        height: 35px;
                        background: #F4F4F4;

                        &.active {
                            background: #000;
                            color: #fff;
                        }
                    }

                    &.chosee-color {
                        li {
                            width: 30px;
                            height: 30px;
                            border-radius: 100%;
                            border: 1px solid #e9e9e9;

                            &.active {
                                border-color: #000;
                            }
                        }
                    }
                }

                .range-slide {
                    position: relative;
                    margin: 40px 0 20px;
                    height: 4px;
                    // width: 240px;

                    .slide {
                        position: absolute;
                        top: 0;
                        height: 4px;
                        background: #ccc;
                        left: 9px;
                        right: 9px;
                    }

                    .line {
                        position: absolute;
                        left: 0;
                        right: 0;
                        top: 0;
                        height: 4px;
                        background-color: black;
                    }

                    .thumb {
                        position: absolute;
                        z-index: 2;
                        text-align: left;
                        border: 1px solid #000;
                        background-color: #fff;
                        border-radius: 50%;
                        outline: none;
                        top: -7px;
                        height: 18px;
                        width: 18px;
                        margin-left: -9px;
                    }

                    input {
                        -webkit-appearance: none;
                        appearance: none;
                        position: absolute;
                        pointer-events: none;
                        z-index: 3;
                        height: 3px;
                        top: 0;
                        width: 100%;
                        opacity: 0;
                        margin: 0;
                    }

                    input::-webkit-slider-thumb {
                        -webkit-appearance: none;
                        appearance: none;
                        pointer-events: all;
                        border-radius: 50%;
                        cursor: pointer;
                        width: 18px;
                        height: 18px;
                    }
                }

                .display-number {
                    margin: 0;
                    width: 100%;
                    display: flex;
                    justify-content: space-between;
                    gap: 5px;

                    span {
                        display: inline-flex;
                        align-items: center;
                        justify-content: center;
                        text-align: center;
                        border: 1px solid #000;
                        padding: 3px 10px;
                        flex: 1 1;
                        border-radius: 3px;
                    }

                    .btn-submit {
                        background: #000;
                        color: #fff;
                        border-radius: 3px;

                        &:hover {
                            background: var(--color-secondary);
                        }
                    }

                }
            }

            .list_product_cart {
                li {
                    display: flex;
                    align-items: center;
                    margin-bottom: 15px;
                    border-bottom: 1px solid #ddd;
                    padding-bottom: 15px;

                    img {
                        width: 40%;
                    }
                }

                &__info {
                    width: 60%;
                    padding-left: 15px;

                    h3 {
                        font-weight: 500;
                        font-size: 16px;
                        line-height: 20px;
                    }

                    select {
                        color: gray;
                        font-size: 16px;
                        border: none;
                        padding: 0;
                        margin-bottom: 15px;
                    }

                    input {
                        border-color: #000;
                        text-align: center;
                    }

                    .option_production-number {
                        width: 70%;

                        input{
                            font-size: 16px;
                        }

                        .input-group>:not(:first-child):not(.dropdown-menu):not(.valid-tooltip):not(.valid-feedback):not(.invalid-tooltip):not(.invalid-feedback){
                            border-top-right-radius: 2px;
                            border-bottom-right-radius: 2px;
                        }
                        .input-group:not(.has-validation)>.dropdown-toggle:nth-last-child(n+3), .input-group:not(.has-validation)>:not(:last-child):not(.dropdown-toggle):not(.dropdown-menu) {
                            border-top-left-radius: 2px;
                            border-bottom-left-radius: 2px;
                        }
                    }

                    .option_production {
                        display: flex;
                        align-items: center;
                        justify-content: space-between;
                    }
                }
            }

            &.body-sibar-login{
                padding-top: 60px;
                height: calc(100vh);
                max-height: unset;
                display: flex;
                align-items: center;
                justify-content: center;
                flex-direction: column;
                padding: 40px;

                .heading{
                    font-weight: bold;
                    font-size: 20px;
                    margin: 0 0 30px;
                    text-align: center;
                }

                .form-group, form{
                    width: 100%;
                }

                button, .form-control{
                    border-radius: 3px;
                    width: 100%;
                    height: 55px;
                }

                .btn_group_login{
                    display: flex;
                    align-items: center;
                    width: 100%;
                    gap: 10px;
                    margin-bottom: 20px;

                    .btn{
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        text-align: center;
                        background: #fff;
                        border: 1px solid #ddd;
                        flex: 1 1;
                        border-radius: 3px;

                        img{
                            margin-right: 10px;
                        }
                    }
                }
            }
        }

        &__footer {
            border-top: 1px solid #ddd;
            position: absolute;
            bottom: 0;
            left: 0;
            width: 100%;
            min-height: 80px;
            padding: 20px;
            display: flex;
            align-items: center;
            justify-content: space-between;
            flex-wrap: nowrap;
            gap: 10px;
            background: #fff;

            .note_footer {
                color: #6a6a6a;
                margin-bottom: 5px;
            }

            .price_cart {
                display: flex;
                justify-content: space-between;
                align-items: center;
                width: 100%;
                font-weight: 600;
                font-size: 16px;
            }

            hr {
                margin: 0.3rem 0;
            }

            &.flex-colum {
                flex-direction: column;
                align-items: flex-start;

                .btn {
                    width: 100%;
                    height: 42px;
                    padding: 10px;
                }
            }

            .btn {
                flex: 1 1;
                border: 1px solid #000;
                color: #000;
                font-weight: 600;

                img {
                    margin-right: 5px;
                }

                &:hover {
                    background-color: #000;
                    color: #fff;

                    img {
                        filter: brightness(0) invert(1);
                    }
                }

                &.apply {
                    background: #000;
                    color: #fff;

                    &:hover {
                        background: var(--color-secondary);
                    }
                }
            }
        }
    }

    &.right {
        left: unset;
        right: 0;
        transform: translateX(1000%);

        &.open {
            opacity: 1;
            visibility: visible;
            transform: translateX(0);
            transition: all .5s;
        }
    }

    &.left{
        left: 0;
        right: unset;
        transform: translateX(-1000%);

        &.open {
            opacity: 1;
            visibility: visible;
            transform: translateX(0);
            transition: all .5s;
        }
    }
}

.validate-error{
    color: red;
    margin: 5px 0;
}

.infomation_group {
    margin: 3rem 0;

    &__box {
        &___item {
            display: flex;
            align-items: center;
            justify-content: center;
            flex-direction: column;
            background: #F4F4F4;
            padding: 80px 15px 80px 20px;
            min-height: 220px;

            img {
                height: 50px;
            }

            h4 {
                font-size: 16px;
                font-weight: 600;
                margin: 15px 0 5px;
            }

            span {
                color: #898989;
            }
        }
    }
}

.container {
    .productMain_list__item___thumbnail {
        height: 350px;
    }
}

.tabs-prodution {
    .nav-tabs .nav-link {
        border: none;
    }

    .nav-tabs .nav-link:focus,
    .nav-tabs .nav-link:focus-visible,
    .nav-tabs .nav-link:focus-within,
    .nav-tabs .nav-link:hover {
        border-color: transparent;
    }

    .nav-tabs .nav-item.show .nav-link,
    .nav-tabs .nav-link.active {
        border: none;
        border-bottom: 2px solid #000;
    }

    .nav-link {
        color: #000;
        font-size: 16px;
        border-color: transparent;
    }
}

#nav-tabListProduction {
    padding-top: 3rem;
}

.production_detail {
    &__infoTop {
        align-items: center;

        .swiper-button-prev,
        .swiper-rtl .swiper-button-next {
            color: #000;
        }

        .swiper-button-next,
        .swiper-rtl .swiper-button-prev {
            color: #000;
        }

        .SwiperImgProduct_detail {
            width: 80px;
            margin: 0;
            margin-right: 20px;

            .swiper-slide {
                width: 100%!important;
                height: 80px!important;
                margin: 6px 0;
            }
        }

        .images_group {
            display: flex;
            align-items: center;
            padding-right: 40px;
        }
    }

    &__infoBody {
        margin: 2rem 0;

        .box_infomation_product {
            margin-bottom: 30px;
        }

        .tab_product_detail_other {
            .nav-link {
                border: none;
                color: #000 !important;
                padding: 0;
                font-weight: 600;
                font-size: 18px;
                padding: 8px 0;
                margin-right: 20px;

                &.active {
                    border-bottom: 2px solid #000;
                }
            }
        }

        .tab-content {
            padding-top: 2rem;
        }
    }
}

#ModalChoseeSize {
    .btn-submit {
        min-width: 150px;
        border-radius: 3px;
    }

    .label{
        margin-bottom: 5px;
    }
}

.heading_detail {
    font-weight: 600;
    font-size: 18px
}

.list-chosee {
    padding: 0;
    margin: 0;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 10px;

    li {
        display: inline-flex;
        align-items: center;
        justify-content: center;
        width: 35px;
        height: 35px;
        background: #F4F4F4;

        &.active {
            background: #000;
            color: #fff;
        }
    }

    &.chosee-color {
        li {
            width: 30px;
            height: 30px;
            border-radius: 100%;
            border: 1px solid #e9e9e9;

            &.active {
                border-color: #000;
            }
        }
    }
}

.box-list-adrress {
    max-height: 300px;
    overflow: hidden;
    overflow-y: scroll;

    ul {
        li {
            margin-bottom: 15px;
        }
    }

    .title-name {
        font-weight: bold;
        font-size: 16px;
    }

    p {
        font-size: 14px;
        margin-bottom: 3px;

        a {
            color: #0371D7 !important;
        }
    }
}

.box_order_cart {
    padding-left: 2rem;

    &__promotion {
        .accordion-item {
            border: none;
        }

        .accordion-button {
            background: transparent;
            font-weight: bold;
            color: #000;
            padding-top: 10px;
            padding-left: 0;
            padding-right: 0;
            box-shadow: inset 0 -1px 0 rgb(0 0 0 / 13%) !important;
        }

        .accordion-body {
            padding-right: 0;
            padding-left: 0;
        }

        .input-group {
            .form-control {
                border-color: #000;
                border-radius: 0;
            }

            .btn {
                background: #000;
                color: #fff;
                border-radius: 0;
            }
        }
    }

    &__price {
        margin-top: 20px;
        margin-bottom: 20px;

        ul {
            li {
                display: flex;
                justify-content: space-between;
                align-items: center;
                padding: 5px 0;
                border-bottom: 1px solid #ddd;
                margin-bottom: 5px;

                .tille {
                    font-weight: 600;
                }

                .price {
                    color: #6D6E6E;

                    &.black {
                        color: #000;
                    }

                    &.red {
                        color: var(--color-danger);
                        font-weight: 600;
                    }
                }
            }
        }
    }

    .note_footer {
        display: flex;
        align-items: center;
        justify-content: space-between;

        p {
            margin: 0;
            color: #6a6a6a;
        }

        .info {
            font-size: 16px;
            color: var(--color-info);
            cursor: pointer;
        }
    }

    .btn_buy_now {
        margin: 20px 0;
        display: block;
        width: 100%;
        padding: 10px;
        font-size: 16px;
    }

    p {
        margin-bottom: 5px;
    }
}

.page_mycart {
    margin-top: 4rem;



    table {
        width: 100%;

        tr {
            border-bottom: 1px solid #ddd;
        }

        td {
            padding: 15px 0;
            vertical-align: middle;
        }

        .img_prd_cart {
            max-width: 120px;
        }

        .input-group {
            margin-left: 0 !important;
        }

        .option_production-number {
            margin-bottom: 10px;
        }

        .name_production {
            font-size: 1em;

            a {
                color: #000;
            }
        }

        .option_production {
            margin-top: 10px;
        }

        .btn-favorite {
            color: #ddd;

            svg {
                width: 20px;
            }

            &:hover,
            &.active {
                color: #000;
            }
        }
    }



    &__noCart {
        text-align: center;
    }
}

.nav_group_menu{
    display: flex;
    align-items: center;
}

.nav_category {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    margin: auto;
    border-top: 1px solid #ddd;
    margin-top: 20px;
    padding-top: 20px;
    padding-left: 30px;
    padding-right: 30px;

    li {
        a {
            padding: 8px 10px;
            color: #000;
            text-decoration: underline;
            text-transform: uppercase;

            &:hover {
                color: #aaa;
            }
        }
    }
}

.price-light {
    color: gray;
    text-decoration: line-through;
}

.chooseSize-group {
    position: relative;

    .btn-chooseSize {
        display: inline-flex;
        align-items: center;
        cursor: pointer;

        svg {
            width: 10px;
            margin-left: 10px;
        }
    }

    .chooseSize-drop {
        width: 600px;
        min-height: 200px;
        background: #fff;
        position: absolute;
        top: 30px;
        left: -1px;
        z-index: 5;
        box-shadow: 0px 0px 10px -5px #818181;
        // border-radius: 8px;
        border: 1px solid #eee;
        padding: 20px;
        display: none;

        .bottom-button {
            display: flex;
            justify-content: flex-end;
            align-items: center;
            margin-top: 30px;

            .btn {
                min-width: 150px;

                &+.btn {
                    margin-left: 10px;
                }
            }
        }
    }
}

.btn-delete-item {
    cursor: pointer;
    color: gray;
    display: inline-block;

    &:hover {
        color: #000;
    }
}

.list-chosee {
    &.option-size {
        padding: 0;
        margin: 0;
        display: flex;
        align-items: center;
        flex-wrap: wrap;
        gap: 10px;

        li {
            display: inline-flex;
            align-items: center;
            justify-content: center;
            width: 35px;
            height: 35px;
            background: #F4F4F4;
            cursor: pointer;

            &:hover {
                background: gray;
                color: #fff;
            }

            &.active {
                background: #000;
                color: #fff;
            }
        }
    }
}

.page_checkout {
    margin-top: 3rem;
    margin-bottom: 3rem;

    &__form {
        .box_member_sale {
            border: 1px solid #ddd;
            padding: 15px;
            margin-bottom: 20px;

            p {
                margin-bottom: 5px;
            }
        }
    }

    &_col_codeOder {
        border: 1px solid #ddd;
        padding: 15px;

        .my_order_code {
            font-weight: bold;
            font-size: 16px;
            margin-bottom: 10px;
        }

        .box_login_order {
            padding: 10px;
            background: #F4F4F4;
            font-size: 13px;
            margin-bottom: 20px;

            .btn_login {
                font-size: 13px;
                margin-right: 10px;
            }
        }

        ul {
            li {
                padding-bottom: 15px;
                margin-bottom: 15px;
                border-bottom: 1px solid #ddd;

                .title_codeOder {
                    font-weight: bold;
                    font-size: 16px;
                    color: #000;
                    margin: 0 0 10px;
                    text-transform: uppercase;
                }

                p {
                    margin-bottom: 2px;
                    color: #3D4352;
                    font-size: 14px;
                }
            }
        }
    }

    &_col_infomation_content {
        .text_status_order {
            font-weight: bold;
            font-size: 24px;
            margin-bottom: 30px;
        }

        .content_cart {
            p {
                margin: 0;
                margin-bottom: 5px;
            }
        }
    }
}

.list_infamation_cart {
    .heading {
        font-size: 16px;
        font-weight: bold;
        margin-bottom: 15px;
    }

    .table {
        border: 1px solid #ddd;
    }
}

.btn_login_and_register {
    font-weight: 600;
    color: #000;

    &:hover {
        color: var(--color-info);
    }

    &-register {
        color: #DC3545;
    }
}

.heading_layout_other {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 20px;

    h2 {
        font-weight: bold;
        font-size: 20px;
        margin: 0;
    }

    span {
        font-size: 14px;
        text-decoration: underline;
    }
}

.list-group-payment {
    margin-bottom: 20px;

    .list-group-item {
        padding: 10px 15px;
        display: flex;
        align-items: center;
        justify-content: space-between;

        .ic {
            width: 20px;
            margin-right: 10px;
        }

        span {
            display: flex;
            align-items: center;
        }
    }
}

.heading_cart {
    font-weight: bold;
    color: #000;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 0;
    padding-right: 0;
    font-size: 1rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 2px solid #000;
    margin-bottom: 10px;

    .btn_edit_cart {
        display: flex;
        flex-direction: row;
        align-items: flex-start;
        padding: 5px 8px;
        font-size: 13px;
        font-weight: 400;
        background: #F4F4F4;
        border-radius: 3px;

        &:hover {
            background: #000;
            color: #fff;
        }
    }
}

.list_cart_temp1 {
    width: 100%;

    // tr{
    //     border-bottom: 1px solid #ddd;
    // }

    &-item {
        display: flex;
        padding: 15px 0;
        // margin-bottom: 15px;
        align-items: flex-start;
        position: relative;
        border-bottom: 1px solid #ddd;

        .thumbnail {
            max-width: 75px;
            margin-right: 15px;
        }

        .infoProduction {
            &_name {
                font-weight: 600;
                font-size: 14px;
                margin: 0;
                margin-bottom: 5px;
            }

            &_option {
                font-size: 13px;
                color: #7F828C;
            }

            &_price {
                position: absolute;
                bottom: 10px;
                right: 0;
                font-weight: 600;
                font-size: 14px;
            }
        }
    }
}

.page_search_resuilt{
    padding: 3rem 0;
}

.light-title{
    height: 1px;
    background: #000;
    width: 60px;
    margin: 15px auto;
}

.layout_other{
    padding: 3rem 0;

    &__right{
        padding-left: 2rem;
    }

    &__2{
        margin: 3rem 0;
    }
}

.bannerWeb{
    img{
        width: 100%;
    }

    &_withText{
        position: relative;
        display: flex;
        align-items: center;
        justify-content: center;

        .Text_content{
            position: absolute;
            // top: 50%;
            // left: 0;
            // right: 0;
            margin: auto;
            display: inline-block;
            width: 500px;
            text-align: center;

            .name_hethongcuahang{
                position: static;
                left: 4.5px;
                top: 0px;

                /* 1. Typography/Desktop/Heading/H3 */
                font-style: normal;
                font-weight: bold;
                font-size: 24px;
                line-height: 36px;
                justify-content: center;
                /* identical to box height, or 150% */

                display: flex;
                align-items: center;
                text-align: center;
                letter-spacing: 0.05em;
                text-transform: uppercase;

                /* 2. Color/White */
                color: #FFFFFF;

                /* Inside Auto Layout */

                flex: none;
                order: 0;
                flex-grow: 0;
                margin: 15px 0px;

                &+p{
                    position: static;
                    left: 0px;
                    top: 51px;

                    /* 1. Typography/Desktop/Sub Head */
                    font-style: normal;
                    font-weight: 500;
                    font-size: 18px;
                    line-height: 20px;
                    justify-content: center;
                    /* identical to box height, or 111% */

                    display: flex;
                    align-items: center;
                    text-align: center;

                    /* 2. Color/White */
                    color: #FFFFFF;


                    /* Inside Auto Layout */
                    flex: none;
                    order: 1;
                    flex-grow: 0;
                    margin: 15px 0px 50px;
                }
            }

            .button_link{
                font-weight: 500;
                font-size: 16px;
                letter-spacing: 0.03em;
                text-align: center;
                color: #fff;
                border-bottom: 1px solid #fff;
                padding-bottom: 8px;
            }

        }
    }
}

.bannerWeb-with-content{
    position: relative;

    &::after{
        content: "";
        width: 100%;
        height: 100%;
        position: absolute;
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
        z-index: 1;
        background: #0000004d;
    }

    .content_images{
        display: flex;
        width: 100%;
        height: 100%;
        align-items: center;
        justify-content: center;
        position: absolute;
        flex-direction: column;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        z-index: 2;
        color: #fff;
        padding: 0 15rem;
        text-align: center;

        .heading{
            font-weight: bold;
            font-size: 24px;
            margin-bottom: 15px;
        }
    }
}


.list_news_blog{
    margin: 3rem 0;

    .card_thumbnail{
        width: 100%;
        height: 250px;
        overflow: hidden;

        img{
            object-fit: cover;
        }
    }

    &__category{
        color: #BD7509;
        font-size: 16px;
        font-weight: bold;
        margin-bottom: 10px;
    }

    &__name{
        font-size: 16px;
        font-weight: 600;
        margin-bottom: 10px;

        a{
            color: #000;
        }
    }

    .card{
        border: none;
    }

    .card-text, .text-muted{
        color: #6D6E6E;
    }

    .card-body {
        background: #F4F4F4;
    }
}

.view-more{
    color: #000;
    text-decoration: underline;

    &:hover{
        color: var(--color-info);
    }
}

.layout_post{
    &__thumbnail{
        margin-bottom: 20px;

        img{
            width: 100%;
        }
    }

    &__heading{
        .text-category{
            font-weight: bold;
            font-size: 16px;
            color: #BD7509;
            margin-bottom: 5px;
        }
        .text-name{
            font-weight: bold;
            font-size: 24px;
            line-height: 36px;
            letter-spacing: 0.05em;
            text-transform: uppercase;
            color: #3D4352;
            margin-bottom: 30px;
        }
    }
}




.layout_dasboard{
    margin-bottom: 3rem;

    .nav_menu_dasboard{
        display: flex;
        align-items: center;
        justify-content: center;
        margin-bottom: 40px;

        ul{
            display: flex;
            align-items: center;
            justify-content: center;

            li{
                padding: 8px 15px;
                border-bottom: 2px solid transparent;
                text-align: center;

                &.active{
                    border-bottom: 2px solid #000;
                }

                a{
                    color: #000;

                    &:hover{
                        color: #F2BC1A;
                    }
                }
            }
        }
    }

    .info_oder{
        &>td{
            padding: 30px;
            border: 1px solid rgba(0, 0, 0, 0.1);
            border-top: 0;
        }
        &__head{
            display: flex;
            align-items: center;
            
            &___col{
                flex: 1 1;
                padding-left: 30px;
                padding-right: 30px;
                border-left: 0.5px solid rgba(0, 0, 0, 0.2);
                font-size: 15px;
                min-height: 120px;

                &:first-child{
                    border: none;
                    padding-left: 0;
                }

                &:last-child{
                    padding-right: 0;
                }

                h3{
                    font-size: 15px;
                }
            }
        }

        &__body{
            border-top: 1px solid rgba(0, 0, 0, 0.1);
            padding-top: 30px;
            margin-top: 20px;

            .list_infamation_cart{
                table{
                    border: none;

                    tr,td{
                        padding: 0;
                    }

                    td{
                        border-color: rgba(0, 0, 0, 0.1);
                    }

                    .priceTotal{
                        font-size: 17px;
                    }
                }
            }
        }

        .btn-default{
            display: inline-flex;
            min-width: 130px;
            font-size: 14px;
            padding: 2px;

            svg{
                width: 13px;
                margin-left: 5px;
            }
        }
    }

    .dasboard_box{
        border: 1px solid rgba(0, 0, 0, 0.1);
        box-sizing: border-box;
        box-shadow: 1px 1px 10px rgba(0, 0, 0, 0.1);
        border-radius: 2px;
        margin: 0px 0px 30px;
        padding: 20px;

        .user_name{
            font-weight: bold;
            font-size: 18px;
            margin: 20px 0;
        }

        &__footer{
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        .my_coin{
            display: inline-flex;
            align-items: center;
            text-align: right;
        }

        &__point{
            margin-top: 53px;
            padding-left: 15px;
        }

        &__member{
            padding-right: 40px;
            border-right: 1px solid #ddd;
        }
    }
}


.ribon_my_user{
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    background: #F2BC1A;
    padding: 8px 15px;
    border-radius: 3px;
    font-size: 15px;

    img{
        width: 38px;
        margin-right: 5px;
    }
}

.progress_poin{
    background: #f2bc1a;
    height: 8.5px;
    margin-bottom: 15px;

    .progress-bar{
        background-color: #000;
    }
}

#list_bank{
    border: 1px solid rgba(0,0,0,.125);
    border-top: 0;
    border-bottom: 0;
    padding: 15px;

    ul{
        list-style: none;
        padding: 0;
        margin: 0;
        display: flex;
        gap: 3px;
        flex-wrap: wrap;

        li{
            flex: 0 0 12.1%;
            padding: 5px;
            text-align: center;
            display: inline-flex;
            justify-content: center;
            align-items: center;
            border: 1px solid #dedede;
            min-height: 60px;

            &:hover, &.active{
                border-color: #000;
            }
        }
    }
}

#ModalVoucher{
    .list_voucher{
        gap: 0;

        li{
            flex: 0 0 100%;
        }

        .list_voucher__item-temp{
            width: 20%;
        }
        .list_voucher__item-body{
            width: 80%;
        }
    }
}





/**Slide production*/
:root {
    --main-image-width: 80%;
    --main-image-height: auto;
    --thumbnail-track-width: 80px;
    --thumbnail-height: 80px;
  }
  
  .slick-slide{
      overflow: hidden;
  }

  /* .slick-list{
      height: auto !important;
  } */

  .product-image-carousels {
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  /**
    Thumbnails carousel
  */
  .thumbnails-slider {
    width: var(--thumbnail-track-width);
    padding: 0;
    margin-right: 20px;
    margin-bottom: 30px;
    margin-top: 30px;
    /** Previous/next buttons */
    /** Single thumbnail */
  }
  .thumbnails-slider button {
    height: 30px;
    width: 100%;
    padding: 0;
    margin: 0;
    font-size: 30px;
    color: rgba(0, 0, 0, 0.7);
    z-index: 1;
  }
  .thumbnails-slider button.slick-disabled{
      opacity: .1;
  }
  /* .thumbnails-slider button:not([disabled]):hover {
    background-color: rgba(0, 0, 0, 0.1);
    color: black;
  } */
  /* .thumbnails-slider button:focus {
    background-color: royalblue;
  } */
  .thumbnails-slider button:focus .slick-prev-icon,
  .thumbnails-slider button:focus .slick-next-icon {
    color: white !important;
  }
  .thumbnails-slider button.slick-prev {
    top: -20px;
    left: 0;
  }
  .thumbnails-slider button.slick-prev .slick-prev-icon {
    display: inline-block;
    transform: rotate(90deg);
    color: black;
  }
  .thumbnails-slider button.slick-next {
    bottom: -30px;
    right: 0;
    top: auto;
  }
  .thumbnails-slider button.slick-next .slick-next-icon {
    display: inline-block;
    transform: rotate(90deg);
    color: black;
  }
  .thumbnails-slider .thumbnail-button {
    display: block;
    height: var(--thumbnail-height) !important;
    cursor: pointer;
    /* border: 1px solid transparent; */
    background: none;
    /* background-color: rgba(0, 0, 0, 0.4); */
    transition: opacity 0.1s linear;
  }
  .thumbnails-slider .thumbnail-button:focus img, .thumbnails-slider .thumbnail-button:hover img, .thumbnails-slider .thumbnail-button[aria-current=true] img {
    opacity: 1;
    filter: grayscale(0);
    border: 1px solid #000;
  }
  .thumbnails-slider .thumbnail-button:focus img {
    /* border: 1px solid #000; */
    /* outline-offset: -4px; */
  }
  .thumbnails-slider .thumbnail-button img {
    display: block;
    width: 100%;
    height: 100%;
    /* opacity: 0.3; */
    -o-object-fit: cover;
       object-fit: cover;
    /* filter: grayscale(0.6); */
    transition: all 0.1s linear;
    /* border: 1px solid transparent; */
  }
  
  /**
    Main image carousel
  */
  .main-image-slider {
    position: relative;
    width: var(--main-image-width);
    height: var(--main-image-height);
    position: relative;
    margin-bottom: 1px;
    /** Previous/next buttons */
    /** Slides */
  }
  .main-image-slider button {
    z-index: 1;
  }
  .main-image-slider button svg{
      width: 15px;
      color: #ababab;
  }
  .main-image-slider button.slick-prev {
    left: 10px;
  }
  .main-image-slider button.slick-prev .slick-prev-icon {
    opacity: 1;
  }
  .main-image-slider button.slick-next {
    right: 10px;
  }
  .main-image-slider button.slick-next .slick-next-icon {
    opacity: 1;
  }
  .main-image-slider .slick-slide {
    width: var(--main-image-width);
  }
  .main-image-slider .slick-slide .image-link {
    height: var(--main-image-height);
    overflow: hidden;
    transition: outline 0.1s linear;
  }
  /* .main-image-slider .slick-slide .image-link:focus {
    outline: 4px dashed white;
    outline-offset: -7px;
  } */
  .main-image-slider .slick-slide .image-link img {
    display: block;
    -o-object-fit: cover;
       object-fit: cover;
    width: 100%;
    height: 100%;
  }

  .thumbnails-slider button svg {
      width: 20px;
  }





  .page_error{
      padding: 100px 0;

      &__content{
          display: flex;
          flex-direction: column;
          align-items: center;
          justify-content: center;

          h4{
              font-weight: bold;
              font-size: 20px;
              margin: 30px 0;
          }

          p{
              margin-bottom: 30px;
              font-size: 16px;
          }

          .btn{
            width: 200px;
            height: 49px;
          }

          .nav_group_menu{
            display: flex;
            align-items: center;
            border-top: 1px solid #ddd;
            margin-top: 20px;
            padding-top: 20px;
            padding-left: 30px;
            padding-right: 30px;

            .nav_category{
                margin: 0;
                padding: 0;
                border: none;
            }
        }
      }
  }


  .lookHot{
      margin-left: 78px;
      padding: 100px 0;
      display: flex;
      justify-content: space-between;

      &_head{
        width: 23%;
        height: auto;
        background: #F4F4F4;
        padding: 4rem;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        justify-content: center;
        text-align: left;

        h3{
            font-weight: 600;
            font-size: 24px;
            text-transform: uppercase;
            margin-bottom: 30px;
        }

        p{
            margin-bottom: 38px;
        }

        .view-more{
            text-transform: uppercase;
            padding-bottom: 3px;
            display: inline-block;
            text-decoration: none;
            border-bottom: 1px solid #000;
        }
      }

      &_category{
          width: 76%;

          .productHot_list{
              height: 100%;
          }
      }
  }

  .lookImages{
      display: flex;
      align-items: center;
    //   padding: 100px 0;

      &_item{
          width: 50%;
          position: relative;

          .text-item-group{
              position: absolute;
              color: #fff;
              bottom: 150px;
              left: 206px;

              h3{
                  margin-bottom: 15px;
              }

              .view-more{
                  color: #fff;
                  border-color: #fff;
                //   padding: 5px 10px;

                //   &:hover{
                //       background: #000;
                //       border-color: #000;
                //       color: #fff;
                //   }
              }
          }

          .btn-play{
            color: #fff;
            position: absolute;
            bottom: 0;
            top: 0;
            right: 0;
            left: 0;
            margin: auto;
            width: 80px;
            height: 80px;

              svg{
                  width: 80px;
              }
          }
      }
  }

  .lookProduct{
      padding: 100px 0 100px 80px;

      .productMain_list__item___name, .productMain_list__item___price{
          text-align: center;
      }
      
      .swiper-wrapper{
          padding-bottom: 3rem;
      }
  }

.outerwear{
    margin-bottom: 100px;
    .text-item-group{
        margin: 15px 0;

        p{
            margin-bottom: 30px;
        }
    }
}